DB2触发器中的return为什么报错?

CREATE OR REPLACE TRIGGER "BAOPROG"."trg_dbt_sample_code200_upd"
AFTER UPDATE
on "BAOPROG"."DBT_SAMPLE"
referencing old as oldrow new as newrow
for each ROW
BEGIN ATOMIC
declare v_ep varchar(1);
set v_ep = '0';
set v_ep = substrb(newrow.smpno, 14, 1);

IF substrb(newrow.smpno, 14, 1) <> '0' THEN
return; --加了这个return为什么就报错。
END IF;
END

出错信息如下:
22:10:58 [CREATE - 0 row(s), 0.000 secs] {0:0} DB2 SQL Error: SQLCODE=-104, SQLSTATE=42601, SQLERRMC=;;0' THEN
return; JOIN , DRIVER=4.13.127
... 1 statement(s) executed, 0 row(s) affected, exec/fetch time: 0.000/0.000 sec [0 successful, 0 warnings, 1 errors]

db2
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Python3使用ibm-db 连接DB2 执行sql 时报错 SQLCODE=-332 ?
Python3使用ibm-db 连接DB2 执行sql 时报错 SQLCODE=-332 codepage转换错误,现在不能修改DB2 server的设置,请问怎么解决? 代码如下: ``` import ibm_db conn=ibm_db.connect("DATABASE=db;HOSTNAME=host;PORT=60000;PROTOCOL=TCPIP;UID=user;PWD=pwd",'','') sql = "SELECT * FROM T_PATENTINFO" stmt = ibm_db.exec_immediate(conn, sql) result = ibm_db.fetch_tuple(stmt) print(result) ``` 错误信息: ``` Traceback (most recent call last): File "C:\Users\xux\AppData\Local\Programs\Python\Python37\lib\site-packages\ibm_db_dbi.py", line 1434, in _fetch_helper row = ibm_db.fetch_tuple(self.stmt_handler) SQLCODE=-332 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "C:/PythonRepo/patent/db_fixture/ibm_db_connect.py", line 53, in <module> rresult = DB().search_patent() File "C:/PythonRepo/patent/db_fixture/ibm_db_connect.py", line 44, in search_patent result = self.cursor.fetchone() File "C:\Users\xux\AppData\Local\Programs\Python\Python37\lib\site-packages\ibm_db_dbi.py", line 1460, in fetchone row_list = self._fetch_helper(1) File "C:\Users\xux\AppData\Local\Programs\Python\Python37\lib\site-packages\ibm_db_dbi.py", line 1441, in _fetch_helper raise self.messages[len(self.messages) - 1] SQLCODE=-332 ```
DB2 存储过程执行 RUNSTATS ON TABLE TBNAME AND INDEX ALL 报错?
系统一段时间跑的都没问题,自从用 backup 命令备份了数据库之后,只要存储过程中已使用到这个命令就会导致锁表 -2310(-911),只能把表删除了重建,再重跑程序才行,对于电脑没有做其他操作,db2 装在 linux 上的,linux也重启过,之后再试还是不行。想问下有没有人遇到过?怎么解决的?谢谢~
DB2 触发器 如何执行带变量的sql
希望在触发器中执行如下更新语句,表名和字段名是通过查询赋给的变量,不知道有没有办法可以做到 UPDATE @bmc SET @aa = 'aa' WHERE @bb = 'bb'; 或者触发器中能不能执行变量sql语句 (@v_sql = 'UPDATE '||@bmc||' SET '||@aa||'=''aa'' WHERE '||@bb||'=''bb'';)
各位大牛,求助window上DB2联邦数据库包装器创建的问题
![图片说明](https://img-ask.csdn.net/upload/201704/26/1493136955_229909.png) ## # 一早提问的问题,已经解决了,原因是那个指定的库不对,版本不同不一样,遇到同样问题的朋友自己找找吧。趁悬赏还热乎,再问一个问题,能在触发器中使用联邦数据库中定义的昵称来对另一个库中的表进行操作吗?如果能怎么做?我试了试一直报错无法建立。在触发器调用存储过程,在存储过程里也不能用,是触发器对DCL的限制啊?求教!!!**** 数据库知识相当有限,求助各位,需要加什么文件吗或什么额外的配置吗? 已经执行的命令: 1.db2 update dbm cfg using FEDERATED YES 2.db2stop 3.db2start 然后想执行 CREATE WRAPPER DRDA LIBRARY 'libdb2drda.a' 就报错了: DB21034E 该命令被当作 SQL 语句来处理,因为它是无效的“命令行 SQL 处理期间,它返回: SQL10013N 未能装入指定的库 "libdb2drda.a"。 SQLSTATE=42724 求牛人相助小弟感激不尽!!!
db2数据库 序列和触发器的问题
CREATE SEQUENCE SEQtbCaPolicy INCREMENT BY 1 START WITH 1 MAXVALUE 1.0E28 MINVALUE 1 NOCYCLE CACHE 20 NOORDER; CREATE OR REPLACE TRIGGER TRItbCaPolicyID BEFORE INSERT ON tbCaPolicy for each row begin select SEQtbCaPolicy.nextval into :new.iID from dual; end; 以上是oracle数据库的实现,我想问下在db2 中如何实现select SEQtbCaPolicy.nextval into :new.iID from dual,请各位帮帮忙,谢谢。。。。
Django已有的model表新增字段,执行migrate报错:django.db.utils.DatabaseError:ORA-00955: name is already used by an existing object,出现重名是啥情况。。。
Django已有的model表新增字段,执行migrate报错:django.db.utils.DatabaseError:ORA-00955: name is already used by an existing object,出现重名是啥情况。。。
hibernate 与数据库触发器的问题
今天碰到个jpa(hibernate) 与数据库触发器共存的问题。 有两张表A 和B,在表A上写了个触发器,当对A表某列进行update操作的时候,触发更新B的某条记录,但是hibernate 报如下错误: "Batch update returned unexpected row count from update; actual row count: 2; expected: 1". hibernate执行update操作时,返回值是受影响的记录数,因为有触发器的存在,每次对a表进行更新操作时,返回的记录数和hibernate 缓存中记录的记录数不一致,在网上查了下 在sql server中可以在触发器中设置 SET NOCOUNT ON ,不返回触发器操作的记录数 http://blog.csdn.net/eiwing/article/details/7722002 但我用的数据库是DB2 ,请问 SET NOCOUNT ON 在db2中对应的语句是什么?或者有没有其他解决方法
DB2数据库修改字段长度报错
DB2修改表字段长度 执行sql语句 报错 alter table sie.sie_boe_lines alter doc_view_url set data type varchar(255); 这个sql修改其他的表是没有问题的,就是修改sie.sie_boe_lines 出现报错。 错误信息 Lookup Error - DB2 Database Error: ERROR [42997] [IBM][DB2/SUN64] SQL0270N Function not supported (Reason code = "21"). 请问该怎么处理?
Windows7安装DB2后打开DB2CC报错。
数据库版本是:db2exc_975_WIN_x86 系统版本是:cn_windows_7_ultimate_with_sp1_x64_dvd_u_677408.iso
谷歌浏览器报错net::ERR_HTTP2_PROTOCOL_ERROR 200
环境:php+nginx 织梦 目标:动态输出信息,批量替换数据库字段中关键字 本地测试没有任何问题 贴到服务器上就报错 php代码如下 ``` header('X-Accel-Buffering: no');// 关闭加速缓冲 nginx header('Max-Forwards: 3000');// 关闭加速缓冲 nginx set_time_limit(0); // 引入织梦函数 require_once("../include/common.inc.php"); // var_dump($_POST);die; $validate = empty($validate) ? '' : strtolower($validate); $svali = GetCkVdValue(); if ($validate == "" || $validate != $svali) { ShowMsg("安全确认码不正确!", "javascript:;"); exit(); } if (ob_get_level() == 0) //判断缓冲区等级,如果没有活动缓冲区 ob_start(); //打开缓冲区 //判断表是否存在 // 关键字 $arrss = explode("\r\n", $_POST['keyys']); foreach ($arrss as $k => $v) { $va = explode(' ', $v); $txts[$va[0]] = $va[1]; } $num_t = count($txts); $nu = 0; $nu2 = 0; $nu3 = 0; $timeSjc = time(); // 创建文件 $fileNameq = "./download/".date(time().rand(1000,9999)); $myfile = fopen($fileNameq.".txt", "a") or die("无法打开文件!"); foreach ($txts as $k => $v) { ob_flush(); //发送缓冲区数据 flush(); //刷新缓冲区 $condition = empty($condition) ? '' : " WHERE $condition "; $dsql1 = "select aid from $exptable where $rpfield like '%{$k}%'"; $db->SetQuery($dsql1); $db->Execute(); while ($arr = $db->GetArray()) { $link = GetOneArchive($arr['aid']); $arcurl = $link['arcurl']; $mmsg = '“'.$k.'”替换“'.$v . '”-' . $arcurl . "\r\n"; fwrite($myfile, $mmsg); } $rs = $dsql->ExecuteNoneQuery2("UPDATE $exptable SET $rpfield=REPLACE($rpfield,'$k','$v') $condition "); $nu++; $dsql->ExecuteNoneQuery("OPTIMIZE TABLE `$exptable`"); if ($rs) { $nu2++; $nurl = "article_keywords_make.php?dopost=fetch&totalnum=$totalnum&startdd=".($startdd+$pagesize)."&pagesize=$pagesize"; ShowMsg2($nu . "/" . $num_t . "“" . $k . "”替換“" . $v . "”已完成!", "javascript:;"); } else { $nu3++; ShowMsg2($nu . "/" . $num_t . "“" . $k . "”替換“" . $v . "”未找到鍵字!", "javascript:;"); } } $sj = time()-$timeSjc; ShowMsg2("共查找".$num_t."个关键词<br>".$nu2 ."个关键字替換成功<br>" . $nu3 . "个关键字没有找到<br>共花费时间 ".$sj." 秒<br><a id='download1' download='".$fileNameq.".txt' href='".$fileNameq.".txt'>点击这里下载以替换的链接</a>", "javascript:;"); fclose($myfile); ``` nginx超时全部都为300 ![图片说明](https://img-ask.csdn.net/upload/201911/29/1575015725_990597.png) 报错图片 ![图片说明](https://img-ask.csdn.net/upload/201911/29/1575015925_492610.png) **运行到1.7-1.8分钟自动停止** 请大神帮助
websphere报错,数据库是DB2
后台DBManager在预加载完sql之后报错,报错信息如下:com.ibm.db2.jcc.am.SqlSyntaxErrorException: [jcc][10145][10844][3.69.24] 参数 1 无效:参数索引超出范围。 ERRORCODE=-4461, SQLSTATE=42815 程序代码: buffer.append("WHERE "); buffer.append("SystemCode = ? And "); buffer.append("ParamCode = ?"); dbManager.prepareStatement(buffer.toString()); //设置条件字段; dbManager.setString(1,systemCode); dbManager.setString(2,paramCode); 报错就在dbManager.setString(1,systemCode);这里。第一次来CSDN发帖子求助,希望各路大神帮忙。
请各位大佬看看???
``` Traceback (most recent call last): File "/app/.heroku/python/lib/python3.6/site-packages/django/db/backends/utils.py", line 64, in execute return self.cursor.execute(sql, params) psycopg2.errors.UndefinedTable: relation "auth_user" does not exist LINE 1: ...user"."is_active", "auth_user"."date_joined" FROM "auth_user... The above exception was the direct cause of the following exception: Traceback (most recent call last): File "manage.py", line 10, in <module> execute_from_command_line(sys.argv) File "/app/.heroku/python/lib/python3.6/site-packages/django/core/management/__init__.py", line 351, in execute_from_command_line utility.execute() File "/app/.heroku/python/lib/python3.6/site-packages/django/core/management/__init__.py", line 325, in execute django.setup() File "/app/.heroku/python/lib/python3.6/site-packages/django/__init__.py", line 18, in setup apps.populate(settings.INSTALLED_APPS) File "/app/.heroku/python/lib/python3.6/site-packages/django/apps/registry.py", line 108, in populate app_config.import_models(all_models) File "/app/.heroku/python/lib/python3.6/site-packages/django/apps/config.py", line 198, in import_models self.models_module = import_module(models_module_name) File "/app/.heroku/python/lib/python3.6/importlib/__init__.py", line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 978, in _gcd_import File "<frozen importlib._bootstrap>", line 961, in _find_and_load File "<frozen importlib._bootstrap>", line 950, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 655, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 678, in exec_module File "<frozen importlib._bootstrap>", line 205, in _call_with_frames_removed File "/app/learning_logs/models.py", line 7, in <module> class Topic(models.Model): File "/app/learning_logs/models.py", line 8, in Topic choices=Help().choices() File "/app/learning_logs/help.py", line 9, in choices for user in users: File "/app/.heroku/python/lib/python3.6/site-packages/django/db/models/query.py", line 162, in __iter__ self._fetch_all() File "/app/.heroku/python/lib/python3.6/site-packages/django/db/models/query.py", line 965, in _fetch_all self._result_cache = list(self.iterator()) File "/app/.heroku/python/lib/python3.6/site-packages/django/db/models/query.py", line 238, in iterator results = compiler.execute_sql() File "/app/.heroku/python/lib/python3.6/site-packages/django/db/models/sql/compiler.py", line 840, in execute_sql cursor.execute(sql, params) File "/app/.heroku/python/lib/python3.6/site-packages/django/db/backends/utils.py", line 64, in execute return self.cursor.execute(sql, params) File "/app/.heroku/python/lib/python3.6/site-packages/django/db/utils.py", line 97, in __exit__ six.reraise(dj_exc_type, dj_exc_value, traceback) File "/app/.heroku/python/lib/python3.6/site-packages/django/utils/six.py", line 658, in reraise raise value.with_traceback(tb) File "/app/.heroku/python/lib/python3.6/site-packages/django/db/backends/utils.py", line 64, in execute return self.cursor.execute(sql, params) django.db.utils.ProgrammingError: relation "auth_user" does not exist LINE 1: ...user"."is_active", "auth_user"."date_joined" FROM "auth_user... ``` 在heroku bash操作makemigrations,migrate中出现的错误 在本地用这些没问题 settings.py ``` """ Django settings for learning_log project. Generated by 'django-admin startproject' using Django 1.8.5. For more information on this file, see https://docs.djangoproject.com/en/1.8/topics/settings/ For the full list of settings and their values, see https://docs.djangoproject.com/en/1.8/ref/settings/ """ # Build paths inside the project like this: os.path.join(BASE_DIR, ...) import os import django_heroku BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__))) # Quick-start development settings - unsuitable for production # See https://docs.djangoproject.com/en/1.8/howto/deployment/checklist/ # SECURITY WARNING: keep the secret key used in production secret! SECRET_KEY = 'o47!#$sbu_&=)pnbk63ra!hjbx@+pc=2j42cf(&mx82&hs&ph_' # SECURITY WARNING: don't run with debug turned on in production! DEBUG = True ALLOWED_HOSTS = [] # Application definition INSTALLED_APPS = ( 'whitenoise.runserver_nostatic', 'django.contrib.admin', 'django.contrib.auth', 'django.contrib.contenttypes', 'django.contrib.sessions', 'django.contrib.messages', 'django.contrib.staticfiles', #my app 'learning_logs', 'users', #other app 'bootstrap3', ) MIDDLEWARE = [ 'django.middleware.clickjacking.XFrameOptionsMiddleware', 'whitenoise.middleware.WhiteNoiseMiddleware', ] MIDDLEWARE_CLASSES = ( 'django.contrib.sessions.middleware.SessionMiddleware', 'django.middleware.common.CommonMiddleware', 'django.middleware.csrf.CsrfViewMiddleware', 'django.contrib.auth.middleware.AuthenticationMiddleware', 'django.contrib.auth.middleware.SessionAuthenticationMiddleware', 'django.contrib.messages.middleware.MessageMiddleware', 'django.middleware.clickjacking.XFrameOptionsMiddleware', 'django.middleware.security.SecurityMiddleware', ) ROOT_URLCONF = 'learning_log.urls' TEMPLATES = [ { 'BACKEND': 'django.template.backends.django.DjangoTemplates', 'DIRS': [], 'APP_DIRS': True, 'OPTIONS': { 'context_processors': [ 'django.template.context_processors.debug', 'django.template.context_processors.request', 'django.contrib.auth.context_processors.auth', 'django.contrib.messages.context_processors.messages', ], }, }, ] WSGI_APPLICATION = 'learning_log.wsgi.application' # Database # https://docs.djangoproject.com/en/1.8/ref/settings/#databases DATABASES = { 'default': { 'ENGINE': 'django.db.backends.sqlite3', 'NAME': os.path.join(BASE_DIR, 'db.sqlite3'), } } # Internationalization # https://docs.djangoproject.com/en/1.8/topics/i18n/ LANGUAGE_CODE = 'en-us' TIME_ZONE = 'UTC' USE_I18N = True USE_L10N = True USE_TZ = True LOGIN_URL = '/users/login/' # Static files (CSS, JavaScript, Images) # https://docs.djangoproject.com/en/1.8/howto/static-files/ STATIC_URL = '/static/' MEDIA_URL = '/media/' MEDIA_ROOT = os.path.join(BASE_DIR, 'media') STATIC_ROOT = os.path.join(BASE_DIR, 'staticfiles') if os.getenv('DATABASE_URL') is not None: import dj_database_url DATABASES['default'] = dj_database_url.config() SECURE_PROXY_SSL_HEADER = ('HTTP_X_FORWARDED_PROTO', 'https') ALLOWED_HOSTS = ['stark-anchorage-08076.herokuapp.com'] DEBUG = False BASE_DIR = os.path.dirname(os.path.abspath(__file__)) STATICFILES_DIRS = ( os.path.join(BASE_DIR, 'static'), ) django_heroku.settings(locals()) ``` views.py ``` from django.shortcuts import render from .models import Topic, Entry, Root, Suf_Pre_fix from django.http import HttpResponseRedirect, Http404 from django.core.urlresolvers import reverse from .forms import TopicForm, EntryForm, RootForm from django.contrib.auth.decorators import login_required from .help import Help from django.contrib.auth.models import User # Create your views here. def index(request): return render(request, 'learning_logs/index.html') @login_required def topics(request): topics = Topic.objects.order_by('date_added') context = {'topics': topics} return render(request, 'learning_logs/topics.html', context) @login_required def topic(request, topic_id): topic = Topic.objects.get(id=topic_id) entries = topic.entry_set.order_by('-date_added') context = {'topic': topic,'entries': entries} return render(request, 'learning_logs/topic.html', context) @login_required def new_topic(request): if request.method != 'POST': form = TopicForm() else: form = TopicForm(request.POST) if form.is_valid(): new_topic = form.save(commit=False) new_topic.owner = request.user new_topic.edit_able = request.POST.getlist("edit_able") new_topic.save() return HttpResponseRedirect(reverse('learning_logs:topics')) context = {'form': form, 'users':Help().users()} return render(request, 'learning_logs/new_topic.html', context) @login_required def new_entry(request, topic_id): topic = Topic.objects.get(id=topic_id) if request.method != 'POST': form = EntryForm() else: form = EntryForm(data=request.POST) if form.is_valid(): new_entry = form.save(commit=False) new_entry.topic = topic new_entry.edit_able = request.POST.getlist("edit_able") new_entry.save() return HttpResponseRedirect(reverse('learning_logs:topic',args=[topic_id])) context = {'topic':topic, 'form': form, 'users':Help().users()} return render(request, 'learning_logs/new_entry.html', context) @login_required def edit_entry(request, entry_id): entry = Entry.objects.get(id=entry_id) topic = entry.topic if not Help().check_user(request.user,entry.edit_able) or not Help().check_user(request.user,topic.edit_able): raise Http404 if request.method != 'POST': form = EntryForm(instance=entry) else: form = EntryForm(instance=entry, data=request.POST) if form.is_valid(): edit_entry = form.save(commit=False) edit_entry.edit_able = request.POST.getlist("edit_able") edit_entry.save() return HttpResponseRedirect(reverse('learning_logs:topic',args=[topic.id])) context = {'entry': entry, 'topic': topic, 'form': form ,'users':Help().users()} return render(request, 'learning_logs/edit_entry.html', context) @login_required def roots(request): roots = Root.objects.order_by('date_added') context = {'roots': roots} return render(request, 'learning_logs/roots.html', context) def root(request, root_id): root = Root.objects.get(id=root_id) things = root.things.order_by('-date_added') context = {'root':root, 'things':things} return render(request, 'learning_logs/root.html', context) ``` help.py ``` from django.contrib.auth.models import User class Help(): def __init__(self): pass def choices(self): users=User.objects.all() choices=[] a=1 for user in users: choices.append((a,str(user))) a+=1 return choices def check_user(self,user,users): try: str(users).index(str(user)) except: return False else: return True def users(self): users=[] for user in User.objects.all(): users.append(str(user)) return users def test_list(self,list1): for item in list1: print(type(item)) def test_word(self,item): print(item,type(item)) ```
链接服务器的 OLE DB 访问接口 "DB2OLEDB" 不支持所需的事务接口?
最近在跑一个实验,在SQLSERVER中test表创建了一个触发器,当对该表进行操作时,对远程链接的db2中test执行相同的操作(主要就是select,delete,update)。使用了Microsoft OLE DB Provider for DB2创建好了链接服务器,触发器创建完毕,结果执行操作是提示--链接服务器 "SAMPLE" 的 OLE DB 访问接口 "DB2OLEDB" 不支持所需的事务接口。不知道是怎么回事?请求大神指导!!!感谢!
DB2跑批报错,求解......
将两个DB2数据库(9.7版本的)邦联,从一个库中往另一个库中跑数报错,日志如下,麻烦帮忙解决一下,谢谢! 2015-08-25-10.33.48.338070+480 I115102832E594 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, drda wrapper, report_error_message, probe:10 DATA #1 : String, 16 bytes DRDA Server: DATA #2 : String with size, 17 bytes SRVRIAS169_REPORT DATA #3 : String, 16 bytes Function name: DATA #4 : String with size, 7 bytes do_prep 2015-08-25-10.33.48.338342+480 I115103427E994 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, drda wrapper, report_error_message, probe:20 DATA #1 : String, 16 bytes ODBC native err: DATA #2 : String with size, 6 bytes -30081 DATA #3 : String, 16 bytes ODBC sqlstate: DATA #4 : String with size, 6 bytes 40003. DATA #5 : String, 16 bytes ODBC error txt: DATA #6 : String with size, 331 bytes [IBM][CLI Driver] SQL30081N A communication error has been detected. Communication protocol being used: "TCP/IP". Communica tion API being used: "SOCKETS". Location where the error was detected: "yy.yy.yyy.www". Communication function detecting the error: "send". Protocol specific error code(s): "32", "*", "0". SQLSTATE=08001 2015-08-25-10.33.48.338578+480 I115104422E628 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, drda wrapper, DRDA_Statement::error_report, probe:50 MESSAGE : DRDA Wrapper: DATA #1 : Hexdump, 27 bytes 0x00002AEFEC0C709C : 4465 7465 6374 6564 2063 6F6E 6E65 6374 Detected connect 0x00002AEFEC0C70AC : 696F 6E20 6973 2064 6561 64 ion is dead 2015-08-25-10.33.48.338863+480 I115105051E595 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, drda wrapper, report_error_message, probe:10 DATA #1 : String, 16 bytes DRDA Server: DATA #2 : String with size, 17 bytes SRVRIAS169_REPORT DATA #3 : String, 16 bytes Function name: DATA #4 : String with size, 8 bytes rollback 2015-08-25-10.33.48.339062+480 I115105647E727 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, drda wrapper, report_error_message, probe:20 DATA #1 : String, 16 bytes ODBC native err: DATA #2 : String with size, 6 bytes -99999 DATA #3 : String, 16 bytes ODBC sqlstate: DATA #4 : String with size, 6 bytes 08003. DATA #5 : String, 16 bytes ODBC error txt: DATA #6 : String with size, 64 bytes [IBM][CLI Driver] CLI0106E Connection is closed. SQLSTATE=08003 2015-08-25-10.33.48.339344+480 I115106375E629 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, drda wrapper, DRDA_Connection::error_report, probe:50 MESSAGE : DRDA Wrapper: DATA #1 : Hexdump, 27 bytes 0x00002AEFEC0C70D4 : 4465 7465 6374 6564 2063 6F6E 6E65 6374 Detected connect 0x00002AEFEC0C70E4 : 696F 6E20 6973 2064 6561 64 ion is dead 2015-08-25-10.33.48.339631+480 I115107005E541 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, drda wrapper, FencedDRDA_Server::get_diagnostic, probe:10 MESSAGE : DiagRec han_type DATA #1 : Hexdump, 2 bytes 0x00002AEB9FFEBB48 : 0300 .. 2015-08-25-10.33.48.339997+480 I115107547E555 LEVEL: Warning PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, relation data serv, sqlrr_rollback_with_sqlcode, probe:100 MESSAGE : NLI or DMS force ROLLBACK DATA #1 : Hexdump, 4 bytes 0x00002AEFECCCD1BC : 0100 0200 .... 2015-08-25-10.33.48.340136+480 I115108103E882 LEVEL: Warning PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, relation data serv, sqlrr_rollback_with_sqlcode, probe:150 DATA #1 : SQLCA, PD_DB2_TYPE_SQLCA, 136 bytes sqlcaid : SQLCA sqlcabc: 136 sqlcode: -30080 sqlerrml: 38 sqlerrmc: 32 * 0 TCP/IP SOCKETS yy.yy.yyy.www send sqlerrp : SQLGNERR sqlerrd : (1) 0x8026006D (2) 0x00000000 (3) 0x00000000 (4) 0x00000000 (5) 0x00000000 (6) 0x00000000 sqlwarn : (1) (2) (3) (4) (5) (6) (7) (8) (9) (10) (11) sqlstate: 08001 2015-08-25-10.33.48.340836+480 I115108986E456 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, Query Gateway, FencedServer::find_connection, probe:10 MESSAGE : No existing connection found 2015-08-25-10.33.48.340974+480 I115109443E553 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, Query Gateway, sqlqg_FMP_FedRollback, probe:130 MESSAGE : ZRC=0x80260160=-2144992928=SQLQG_ERROR "Error constant for gateway." DATA #1 : String, 36 bytes F1PC rollback and connection is null 2015-08-25-10.33.48.341195+480 I115109997E551 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, Query Gateway, sqlqgFedRbk1, probe:200 MESSAGE : ZRC=0x80260160=-2144992928=SQLQG_ERROR "Error constant for gateway." DATA #1 : <preformatted> Rollback failed for server: SRVRIAS169_REPORT 2015-08-25-10.33.48.341387+480 I115110549E539 LEVEL: Error PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, data protection services, sqlpxrbk, probe:2325 RETCODE : ZRC=0x8026006D=-2144993171=SQLQG_RC_CA_BUILT "Error constant for gateway and the sqlca filled and trustable." 2015-08-25-10.33.48.341534+480 I115111089E537 LEVEL: Severe PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, relation data serv, sqlrrbck_dps, probe:200 RETCODE : ZRC=0x8026006D=-2144993171=SQLQG_RC_CA_BUILT "Error constant for gateway and the sqlca filled and trustable." 2015-08-25-10.33.48.341672+480 I115111627E832 LEVEL: Severe PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, relation data serv, sqlrrbck_dps, probe:250 DATA #1 : SQLCA, PD_DB2_TYPE_SQLCA, 136 bytes sqlcaid : SQLCA sqlcabc: 136 sqlcode: -1476 sqlerrml: 6 sqlerrmc: -30080 sqlerrp : SQLRR0F9 sqlerrd : (1) 0x801A006D (2) 0x00000000 (3) 0x00000000 (4) 0x00000000 (5) 0xFFFFFF38 (6) 0x00000000 sqlwarn : (1) (2) (3) (4) (5) (6) (7) (8) (9) (10) (11) sqlstate: 40506 2015-08-25-10.33.48.341794+480 I115112460E533 LEVEL: Severe PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, relation data serv, sqlrrbck, probe:500 RETCODE : ZRC=0x8026006D=-2144993171=SQLQG_RC_CA_BUILT "Error constant for gateway and the sqlca filled and trustable." 2015-08-25-10.33.48.341930+480 I115112994E532 LEVEL: Severe PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, relation data serv, sqlrrbck, probe:57 RETCODE : ZRC=0x8026006D=-2144993171=SQLQG_RC_CA_BUILT "Error constant for gateway and the sqlca filled and trustable." 2015-08-25-10.33.48.342064+480 I115113527E552 LEVEL: Severe PID : 22006 TID : 47191490029888PROC : db2sysc 0 INSTANCE: db2inst1 NODE : 000 DB : RIAS APPHDL : 0-15888 APPID: xx.xx.xxx.zzz.41545.150819042741 AUTHID : RIAS EDUID : 370 EDUNAME: db2agent (RIAS) 0 FUNCTION: DB2 UDB, relation data serv, sqlrr_rollback_with_sqlcode, probe:300 RETCODE : ZRC=0x8026006D=-2144993171=SQLQG_RC_CA_BUILT "Error constant for gateway and the sqlca filled and trustable."
Django执行python manage.py makemigrations 报错,数据库是postgresql,大神救救孩子
Traceback (most recent call last): File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\backends\base\base.py", line 220, in ensure_connection self.connect() File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\utils\asyncio.py", line 26, in inner return func(*args, **kwargs) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\backends\base\base.py", line 197, in connect self.connection = self.get_new_connection(conn_params) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\utils\asyncio.py", line 26, in inner return func(*args, **kwargs) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\backends\postgresql\base.py", line 185, in get_new_connection connection = Database.connect(**conn_params) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\psycopg2\__init__.py", line 126, in connect conn = _connect(dsn, connection_factory=connection_factory, **kwasync) psycopg2.OperationalError The above exception was the direct cause of the following exception: Traceback (most recent call last): File "manage.py", line 21, in <module> main() File "manage.py", line 17, in main execute_from_command_line(sys.argv) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\core\management\__init__.py", line 401, in execute_from_command_line utility.execute() File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\core\management\__init__.py", line 395, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\core\management\base.py", line 328, in run_from_argv self.execute(*args, **cmd_options) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\core\management\base.py", line 369, in execute output = self.handle(*args, **options) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\core\management\base.py", line 83, in wrapped res = handle_func(*args, **kwargs) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\core\management\commands\makemigrations.py", line 101, in handle loader.check_consistent_history(connection) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\migrations\loader.py", line 283, in check_consistent_history applied = recorder.applied_migrations() File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\migrations\recorder.py", line 76, in applied_migrations if self.has_table(): File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\migrations\recorder.py", line 56, in has_table return self.Migration._meta.db_table in self.connection.introspection.table_names(self.connection.cursor()) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\utils\asyncio.py", line 26, in inner return func(*args, **kwargs) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\backends\base\base.py", line 260, in cursor return self._cursor() File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\backends\base\base.py", line 236, in _cursor self.ensure_connection() File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\utils\asyncio.py", line 26, in inner return func(*args, **kwargs) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\backends\base\base.py", line 220, in ensure_connection self.connect() File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\utils.py", line 90, in __exit__ raise dj_exc_value.with_traceback(traceback) from exc_value File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\backends\base\base.py", line 220, in ensure_connection self.connect() File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\utils\asyncio.py", line 26, in inner return func(*args, **kwargs) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\backends\base\base.py", line 197, in connect self.connection = self.get_new_connection(conn_params) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\utils\asyncio.py", line 26, in inner return func(*args, **kwargs) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\django\db\backends\postgresql\base.py", line 185, in get_new_connection connection = Database.connect(**conn_params) File "D:\Program Files (x86)\Microsoft Visual Studio\Shared\Python37_64\lib\site-packages\psycopg2\__init__.py", line 126, in connect conn = _connect(dsn, connection_factory=connection_factory, **kwasync) django.db.utils.OperationalError
db2数据库SQL执行报错问题
db2 执行SQL,之前好着 ,突然报这个错是什么原因引起的呢?org.hibernate.exception.GenericJDBCException: DB2 SQL error: SQLCODE: -727, SQLSTATE: 56098, SQLERRMC: 3;-204;42704;MARKSARRAY; 比较着急 先谢谢各位大神了
连接db2数据库报错,可能是jdk版本和db2驱动版本的问题
错误:java.lang.NoClassDefFoundError:sun/io/ByteToCharConverter 驱动为db2jcc_license_cisuz.jar和db2jcc.jar。jdk1.8 网上有说jdk1.8的话要用db2jcc4.jar,我试过了还是不行。 有没有什么办法可以解决?
Spring+mybatis+db2 查询sql报错
Spring+mybatis+db2(aix环境) 查询sql报错,用主键查询或者是数据查询正常。。 用字符串查询报错。代码如下。 Caused by: org.apache.ibatis.exceptions.PersistenceException: ### Error querying database. Cause: java.lang.NullPointerException ### The error may exist in com/tecsun/platform/model/Userone.xml ### The error may involve defaultParameterMap ### The error occurred while setting parameters ### SQL: select * from user where name=? ### Cause: java.lang.NullPointerException 代码如下 。 <select id="selectUsers" parameterType="name" resultType="UserOne"> select * from user where name=#{name} </select> 。。。有人知道吗? 在Windows下面查询db2数据库正常。。。。。
ssdt连接DB2参数设置报错怎么解决
![图片说明](https://img-ask.csdn.net/upload/201911/06/1573007983_805132.png) 请问这两行要填什么
Java学习的正确打开方式
在博主认为,对于入门级学习java的最佳学习方法莫过于视频+博客+书籍+总结,前三者博主将淋漓尽致地挥毫于这篇博客文章中,至于总结在于个人,实际上越到后面你会发现学习的最好方式就是阅读参考官方文档其次就是国内的书籍,博客次之,这又是一个层次了,这里暂时不提后面再谈。博主将为各位入门java保驾护航,各位只管冲鸭!!!上天是公平的,只要不辜负时间,时间自然不会辜负你。 何谓学习?博主所理解的学习,它是一个过程,是一个不断累积、不断沉淀、不断总结、善于传达自己的个人见解以及乐于分享的过程。
大学四年自学走来,这些私藏的实用工具/学习网站我贡献出来了
大学四年,看课本是不可能一直看课本的了,对于学习,特别是自学,善于搜索网上的一些资源来辅助,还是非常有必要的,下面我就把这几年私藏的各种资源,网站贡献出来给你们。主要有:电子书搜索、实用工具、在线视频学习网站、非视频学习网站、软件下载、面试/求职必备网站。 注意:文中提到的所有资源,文末我都给你整理好了,你们只管拿去,如果觉得不错,转发、分享就是最大的支持了。 一、电子书搜索 对于大部分程序员...
linux系列之常用运维命令整理笔录
本博客记录工作中需要的linux运维命令,大学时候开始接触linux,会一些基本操作,可是都没有整理起来,加上是做开发,不做运维,有些命令忘记了,所以现在整理成博客,当然vi,文件操作等就不介绍了,慢慢积累一些其它拓展的命令,博客不定时更新 free -m 其中:m表示兆,也可以用g,注意都要小写 Men:表示物理内存统计 total:表示物理内存总数(total=used+free) use...
Vue + Spring Boot 项目实战(十四):用户认证方案与完善的访问拦截
本篇文章主要讲解 token、session 等用户认证方案的区别并分析常见误区,以及如何通过前后端的配合实现完善的访问拦截,为下一步权限控制的实现打下基础。
比特币原理详解
一、什么是比特币 比特币是一种电子货币,是一种基于密码学的货币,在2008年11月1日由中本聪发表比特币白皮书,文中提出了一种去中心化的电子记账系统,我们平时的电子现金是银行来记账,因为银行的背后是国家信用。去中心化电子记账系统是参与者共同记账。比特币可以防止主权危机、信用风险。其好处不多做赘述,这一层面介绍的文章很多,本文主要从更深层的技术原理角度进行介绍。 二、问题引入 假设现有4个人...
程序员接私活怎样防止做完了不给钱?
首先跟大家说明一点,我们做 IT 类的外包开发,是非标品开发,所以很有可能在开发过程中会有这样那样的需求修改,而这种需求修改很容易造成扯皮,进而影响到费用支付,甚至出现做完了项目收不到钱的情况。 那么,怎么保证自己的薪酬安全呢? 我们在开工前,一定要做好一些证据方面的准备(也就是“讨薪”的理论依据),这其中最重要的就是需求文档和验收标准。一定要让需求方提供这两个文档资料作为开发的基础。之后开发...
网页实现一个简单的音乐播放器(大佬别看。(⊙﹏⊙))
今天闲着无事,就想写点东西。然后听了下歌,就打算写个播放器。 于是乎用h5 audio的加上js简单的播放器完工了。 演示地点演示 html代码如下` music 这个年纪 七月的风 音乐 ` 然后就是css`*{ margin: 0; padding: 0; text-decoration: none; list-...
Python十大装B语法
Python 是一种代表简单思想的语言,其语法相对简单,很容易上手。不过,如果就此小视 Python 语法的精妙和深邃,那就大错特错了。本文精心筛选了最能展现 Python 语法之精妙的十个知识点,并附上详细的实例代码。如能在实战中融会贯通、灵活使用,必将使代码更为精炼、高效,同时也会极大提升代码B格,使之看上去更老练,读起来更优雅。
数据库优化 - SQL优化
以实际SQL入手,带你一步一步走上SQL优化之路!
2019年11月中国大陆编程语言排行榜
2019年11月2日,我统计了某招聘网站,获得有效程序员招聘数据9万条。针对招聘信息,提取编程语言关键字,并统计如下: 编程语言比例 rank pl_ percentage 1 java 33.62% 2 cpp 16.42% 3 c_sharp 12.82% 4 javascript 12.31% 5 python 7.93% 6 go 7.25% 7 p...
通俗易懂地给女朋友讲:线程池的内部原理
餐盘在灯光的照耀下格外晶莹洁白,女朋友拿起红酒杯轻轻地抿了一小口,对我说:“经常听你说线程池,到底线程池到底是个什么原理?”
经典算法(5)杨辉三角
杨辉三角 是经典算法,这篇博客对它的算法思想进行了讲解,并有完整的代码实现。
腾讯算法面试题:64匹马8个跑道需要多少轮才能选出最快的四匹?
昨天,有网友私信我,说去阿里面试,彻底的被打击到了。问了为什么网上大量使用ThreadLocal的源码都会加上private static?他被难住了,因为他从来都没有考虑过这个问题。无独有偶,今天笔者又发现有网友吐槽了一道腾讯的面试题,我们一起来看看。 腾讯算法面试题:64匹马8个跑道需要多少轮才能选出最快的四匹? 在互联网职场论坛,一名程序员发帖求助到。二面腾讯,其中一个算法题:64匹...
面试官:你连RESTful都不知道我怎么敢要你?
干货,2019 RESTful最贱实践
SQL-小白最佳入门sql查询一
不要偷偷的查询我的个人资料,即使你再喜欢我,也不要这样,真的不好;
项目中的if else太多了,该怎么重构?
介绍 最近跟着公司的大佬开发了一款IM系统,类似QQ和微信哈,就是聊天软件。我们有一部分业务逻辑是这样的 if (msgType = "文本") { // dosomething } else if(msgType = "图片") { // doshomething } else if(msgType = "视频") { // doshomething } else { // doshom...
漫话:什么是平衡(AVL)树?这应该是把AVL树讲的最好的文章了
这篇文章通过对话的形式,由浅入深带你读懂 AVL 树,看完让你保证理解 AVL 树的各种操作,如果觉得不错,别吝啬你的赞哦。 1、若它的左子树不为空,则左子树上所有的节点值都小于它的根节点值。 2、若它的右子树不为空,则右子树上所有的节点值均大于它的根节点值。 3、它的左右子树也分别可以充当为二叉查找树。 例如: 例如,我现在想要查找数值为14的节点。由于二叉查找树的特性,我们可...
“狗屁不通文章生成器”登顶GitHub热榜,分分钟写出万字形式主义大作
一、垃圾文字生成器介绍 最近在浏览GitHub的时候,发现了这样一个骨骼清奇的雷人项目,而且热度还特别高。 项目中文名:狗屁不通文章生成器 项目英文名:BullshitGenerator 根据作者的介绍,他是偶尔需要一些中文文字用于GUI开发时测试文本渲染,因此开发了这个废话生成器。但由于生成的废话实在是太过富于哲理,所以最近已经被小伙伴们给玩坏了。 他的文风可能是这样的: 你发现,...
程序员:我终于知道post和get的区别
是一个老生常谈的话题,然而随着不断的学习,对于以前的认识有很多误区,所以还是需要不断地总结的,学而时习之,不亦说乎
《程序人生》系列-这个程序员只用了20行代码就拿了冠军
你知道的越多,你不知道的越多 点赞再看,养成习惯GitHub上已经开源https://github.com/JavaFamily,有一线大厂面试点脑图,欢迎Star和完善 前言 这一期不算《吊打面试官》系列的,所有没前言我直接开始。 絮叨 本来应该是没有这期的,看过我上期的小伙伴应该是知道的嘛,双十一比较忙嘛,要值班又要去帮忙拍摄年会的视频素材,还得搞个程序员一天的Vlog,还要写BU...
开源并不是你认为的那些事
点击上方蓝字 关注我们开源之道导读所以 ————想要理清开源是什么?先要厘清开源不是什么,名正言顺是句中国的古代成语,概念本身的理解非常之重要。大部分生物多样性的起源,...
加快推动区块链技术和产业创新发展,2019可信区块链峰会在京召开
11月8日,由中国信息通信研究院、中国通信标准化协会、中国互联网协会、可信区块链推进计划联合主办,科技行者协办的2019可信区块链峰会将在北京悠唐皇冠假日酒店开幕。   区块链技术被认为是继蒸汽机、电力、互联网之后,下一代颠覆性的核心技术。如果说蒸汽机释放了人类的生产力,电力解决了人类基本的生活需求,互联网彻底改变了信息传递的方式,区块链作为构造信任的技术有重要的价值。   1...
程序员把地府后台管理系统做出来了,还有3.0版本!12月7号最新消息:已在开发中有github地址
第一幕:缘起 听说阎王爷要做个生死簿后台管理系统,我们派去了一个程序员…… 996程序员做的梦: 第一场:团队招募 为了应对地府管理危机,阎王打算找“人”开发一套地府后台管理系统,于是就在地府总经办群中发了项目需求。 话说还是中国电信的信号好,地府都是满格,哈哈!!! 经常会有外行朋友问:看某网站做的不错,功能也简单,你帮忙做一下? 而这次,面对这样的需求,这个程序员...
网易云6亿用户音乐推荐算法
网易云音乐是音乐爱好者的集聚地,云音乐推荐系统致力于通过 AI 算法的落地,实现用户千人千面的个性化推荐,为用户带来不一样的听歌体验。 本次分享重点介绍 AI 算法在音乐推荐中的应用实践,以及在算法落地过程中遇到的挑战和解决方案。 将从如下两个部分展开: AI算法在音乐推荐中的应用 音乐场景下的 AI 思考 从 2013 年 4 月正式上线至今,网易云音乐平台持续提供着:乐屏社区、UGC...
【技巧总结】位运算装逼指南
位算法的效率有多快我就不说,不信你可以去用 10 亿个数据模拟一下,今天给大家讲一讲位运算的一些经典例子。不过,最重要的不是看懂了这些例子就好,而是要在以后多去运用位运算这些技巧,当然,采用位运算,也是可以装逼的,不信,你往下看。我会从最简单的讲起,一道比一道难度递增,不过居然是讲技巧,那么也不会太难,相信你分分钟看懂。 判断奇偶数 判断一个数是基于还是偶数,相信很多人都做过,一般的做法的代码如下...
《C++ Primer》学习笔记(六):C++模块设计——函数
专栏C++学习笔记 《C++ Primer》学习笔记/习题答案 总目录 https://blog.csdn.net/TeFuirnever/article/details/100700212 —————————————————————————————————————————————————————— 《C++ Primer》习题参考答案:第6章 - C++模块设计——函数 文章目录专栏C+...
8年经验面试官详解 Java 面试秘诀
作者 |胡书敏 责编 | 刘静 出品 | CSDN(ID:CSDNnews) 本人目前在一家知名外企担任架构师,而且最近八年来,在多家外企和互联网公司担任Java技术面试官,前后累计面试了有两三百位候选人。在本文里,就将结合本人的面试经验,针对Java初学者、Java初级开发和Java开发,给出若干准备简历和准备面试的建议。 Java程序员准备和投递简历的实...
面试官如何考察你的思维方式?
1.两种思维方式在求职面试中,经常会考察这种问题:北京有多少量特斯拉汽车?某胡同口的煎饼摊一年能卖出多少个煎饼?深圳有多少个产品经理?一辆公交车里能装下多少个乒乓球?一个正常成年人有多少根头发?这类估算问题,被称为费米问题,是以科学家费米命名的。为什么面试会问这种问题呢?这类问题能把两类人清楚地区分出来。一类是具有文科思维的人,擅长赞叹和模糊想象,它主要依靠的是人的第一反应和直觉,比如小孩...
so easy! 10行代码写个"狗屁不通"文章生成器
前几天,GitHub 有个开源项目特别火,只要输入标题就可以生成一篇长长的文章。 背后实现代码一定很复杂吧,里面一定有很多高深莫测的机器学习等复杂算法 不过,当我看了源代码之后 这程序不到50行 尽管我有多年的Python经验,但我竟然一时也没有看懂 当然啦,原作者也说了,这个代码也是在无聊中诞生的,平时撸码是不写中文变量名的, 中文...
知乎高赞:中国有什么拿得出手的开源软件产品?(整理自本人原创回答)
知乎高赞:中国有什么拿得出手的开源软件产品? 在知乎上,有个问题问“中国有什么拿得出手的开源软件产品(在 GitHub 等社区受欢迎度较好的)?” 事实上,还不少呢~ 本人于2019.7.6进行了较为全面的回答,对这些受欢迎的 Github 开源项目分类整理如下: 分布式计算、云平台相关工具类 1.SkyWalking,作者吴晟、刘浩杨 等等 仓库地址: apache/skywalking 更...
相关热词 c# 输入ip c# 乱码 报表 c#选择结构应用基本算法 c# 收到udp包后回包 c#oracle 头文件 c# 序列化对象 自定义 c# tcp 心跳 c# ice连接服务端 c# md5 解密 c# 文字导航控件
立即提问